Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package classpath
  Definition Classes
    nsc
- AggregateClassPath
- ClassFileEntry
- ClassPathEntries
- ClassPathFactory
- DirectoryClassPath
- DirectoryLookup
- DirectorySourcePath
- FileUtils
- JFileDirectoryLookup
- JrtClassPath
- PackageEntry
- PackageNameUtils
- SourceFileEntry
- VirtualDirectoryClassPath
- ZipAndJarClassPathFactory
- ZipAndJarFileLookupFactory
- ZipAndJarSourcePathFactory
- ZipArchiveFileLookup

c

scala.tools.nsc.classpath

# DirectorySourcePath 

###

#### case class DirectorySourcePath(dir: File) extends JFileDirectoryLookup[SourceFileEntryImpl] with NoClassPaths with Product with Serializable

Source
  DirectoryClassPath.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, NoClassPaths, JFileDirectoryLookup[SourceFileEntryImpl], DirectoryLookup[SourceFileEntryImpl], ClassPath, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DirectorySourcePath
2. Serializable
3. Serializable
4. Product
5. Equals
6. NoClassPaths
7. JFileDirectoryLookup
8. DirectoryLookup
9. ClassPath
10. AnyRef
11. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DirectorySourcePath(dir: File)

### Type Members

1.  type F = File
   Definition Classes
     JFileDirectoryLookup → DirectoryLookup

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DirectorySourcePath to any2stringadd[DirectorySourcePath] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DirectorySourcePath, B)
   Implicit
     This member is added by an implicit conversion from DirectorySourcePath to ArrowAssoc[DirectorySourcePath] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def asClassPathString: String

   The whole classpath in the form of one String.

   The whole classpath in the form of one String.

   Definition Classes
     ClassPath
7.  def asClassPathStrings: Seq[String]
   Definition Classes
     JFileDirectoryLookup → ClassPath
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def asSourcePathString: String

   The whole sourcepath in the form of one String.

   The whole sourcepath in the form of one String.

   Definition Classes
     DirectorySourcePath → ClassPath
10.  def asURLs: Seq[URL]
    Definition Classes
      JFileDirectoryLookup → ClassPath
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def createFileEntry(file: AbstractFile): SourceFileEntryImpl
    Attributes
      protected
    Definition Classes
      DirectorySourcePath → DirectoryLookup
13.  val dir: File
    Definition Classes
      DirectorySourcePath → DirectoryLookup
14.  def emptyFiles: Array[File]
    Attributes
      protected
    Definition Classes
      JFileDirectoryLookup → DirectoryLookup
15.  def ensuring(cond: (DirectorySourcePath) ⇒ Boolean, msg: ⇒ Any): DirectorySourcePath
    Implicit
      This member is added by an implicit conversion from DirectorySourcePath to Ensuring[DirectorySourcePath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: (DirectorySourcePath) ⇒ Boolean): DirectorySourcePath
    Implicit
      This member is added by an implicit conversion from DirectorySourcePath to Ensuring[DirectorySourcePath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: ⇒ Any): DirectorySourcePath
    Implicit
      This member is added by an implicit conversion from DirectorySourcePath to Ensuring[DirectorySourcePath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): DirectorySourcePath
    Implicit
      This member is added by an implicit conversion from DirectorySourcePath to Ensuring[DirectorySourcePath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def files(inPackage: String): Seq[SourceFileEntryImpl]
    Attributes
      protected
    Definition Classes
      DirectoryLookup
21.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
22.  def findClass(className: String): Option[ClassRepresentation]

    It returns both classes from class file and source files (as our base ClassRepresentation).

    It returns both classes from class file and source files (as our base ClassRepresentation). So note that it's not so strictly related to findClassFile.

    Definition Classes
      DirectorySourcePath → ClassPath
23.  def findClassFile(className: String): Option[AbstractFile]
    Definition Classes
      NoClassPaths
24.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DirectorySourcePath to StringFormat[DirectorySourcePath] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
25.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
26.  def getName(f: File): String
    Attributes
      protected
    Definition Classes
      JFileDirectoryLookup → DirectoryLookup
27.  def getSubDir(packageDirName: String): Option[File]
    Attributes
      protected
    Definition Classes
      JFileDirectoryLookup → DirectoryLookup
28.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
29.  def isMatchingFile(f: File): Boolean
    Attributes
      protected
    Definition Classes
      DirectorySourcePath → DirectoryLookup
30.  def isPackage(f: File): Boolean
    Attributes
      protected
    Definition Classes
      JFileDirectoryLookup → DirectoryLookup
31.  def listChildren(dir: File, filter: Option[(File) ⇒ Boolean]): Array[File]
    Attributes
      protected
    Definition Classes
      JFileDirectoryLookup → DirectoryLookup
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toAbstractFile(f: File): AbstractFile
    Attributes
      protected
    Definition Classes
      JFileDirectoryLookup → DirectoryLookup
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  def →[B](y: B): (DirectorySourcePath, B)
    Implicit
      This member is added by an implicit conversion from DirectorySourcePath to ArrowAssoc[DirectorySourcePath] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1.  def asClasspathString: String
   Definition Classes
     ClassPath
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.5) use asClassPathString instead of this one

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from NoClassPaths

### Inherited from JFileDirectoryLookup[SourceFileEntryImpl]

### Inherited from DirectoryLookup[SourceFileEntryImpl]

### Inherited from ClassPath

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from DirectorySourcePath to any2stringadd[DirectorySourcePath]

### Inherited by implicit conversion StringFormat from DirectorySourcePath to StringFormat[DirectorySourcePath]

### Inherited by implicit conversion Ensuring from DirectorySourcePath to Ensuring[DirectorySourcePath]

### Inherited by implicit conversion ArrowAssoc from DirectorySourcePath to ArrowAssoc[DirectorySourcePath]

### Ungrouped